Subject: Re: Setup failures during mirrored install
From: [email-masked]
To: [email-masked]
Cc: Igor Pechtchanski <[email-masked]>
Date: Fri, 30 May 2003 17:49:09 +1000 (EST)

On 22 May, Igor Pechtchanski wrote:
>  > I'd be willing to try a debug snapshot.  I haven't used gdb to debug 
>  > threads though. 
>  > 
>  > I assume I run ps and use the PID, not the WINPID to attach to? 
>  > What are the commands to list threads, and attach to a thread? 
>  > 
>  > Or do you simply say "thread apply all where" ? 
>  > 
>  > luke 
>   
>  The debugging snapshot is available at <http://cygwin.com/setup-snapshots/>. 
>  Just run gdb, attach to the Cygwin PID, and use "info threads" to list all 
>  threads.  Then switch to each thread by using "thread <n>", where <n> is 
>  the thread number, and use "where" or "bt" to get a backtrace. 

I finally got a chance to get back to this problem.  You'll be glad to
know that it has simply gone away.  I suspect there really was a
problem with our local mirror (or the upstream one), and that updates
to the mirror mean the problem no longer occurs.

Thanks for the advice - and the latest Cygwin (especially "startx --
-rootless"), is better than ever!

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/